<br/>
<div class="container">
  <h2>Add User</h2>

  <%= form_for(@user, url: admin_add_user_path) do |f| %>
    <div class="filed form-group">
      <%= f.label :name %><br/>
      <%= f.text_field :name, autofocus: true, autocomplete: 'name', class: 'form-control', required: true %>
    </div>

    <div class="filed form-group">
      <%= f.label :marital_status, 'Single', value: false, class: 'form-check-label' %>
      <%= f.radio_button :marital_status, false, class: 'form-check-input' %>
      <%= f.label :marital_status, 'Married', value: true, class: 'form-check-label' %>
      <%= f.radio_button :marital_status, true, class: 'form-check-input' %>
    </div>

    <div class="filed form-group">
      <%= f.label :gender_id %>
      <%#= f.select :gender_id, @genders, {required: true}, class: 'form-select' %>
      <%= f.select :gender_id, options_from_collection_for_select(Gender.all, :id, :gender), {}, class: 'form-select' %>
    </div>

    <div class="filed form-group">
      <%= f.label :education %><br/>
      <%= f.text_field :education, autofocus: true, autocomplete: 'education', class: 'form-control' %>
    </div>

    <div class="filed form-group">
      <%= f.label :address %><br/>
      <%= f.text_area :address, autofocus: true, autocomplete: 'address', class: 'form-control' %>
    </div>

    <hr/>

    <div class="filed form-group">
      <%= f.label :team %><br/>
      <%= f.text_field :team, autofocus: true, autocomplete: 'team', class: 'form-control' %>
    </div>

    <div class="field form-group">
      <%= f.label :role_id %><br/>
      <%#= f.select :role_id, @roles, { id: 'roles', required: true }, class: 'form-select' %>
      <%= f.select :role_id, options_from_collection_for_select(Role.all, :id, :name), {}, class: 'form-select' %>
    </div>

    <div class="filed form-group">
      <%= f.label :email %><br/>
      <%= f.email_field :email, autofocus: true, autocomplete: 'email', class: 'form-control', required: true %>
    </div>


    <div class="filed form-group">
      <%= f.label :password %><br/>
      <% if @minimum_password_length %>
        <em>(<%= @minimum_password_length %> characters minimum)</em>
      <% end %>
      <%= f.password_field :password, autocomplete: "add_user-password", class: 'form-control' %>
    </div>

    <div class="field form-group">
      <%= f.label :password_confirmation %><br/>
      <%= f.password_field :password_confirmation, autocomplete: 'add_user-password', class: 'form-control' %>
    </div>

    <br/>

    <div class="actions">
      <%= link_to 'Back', admin_index_path, class: 'btn btn-danger' %>
      <%= f.submit "Create", class: 'btn btn-danger'%>
    </div>
  <% end %>
</div>
<br/>
<br/>
<br/>